Bug 658448 - qpid-winsdk csharp.map.receiver source example code typo (csharp.map.recevier.cs)
Summary: qpid-winsdk csharp.map.receiver source example code typo (csharp.map.recevier...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-sdk
Version: Development
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: 2.0
: ---
Assignee: Chuck Rolke
QA Contact: Petra Svobodová
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-30 12:04 UTC by Frantisek Reznicek
Modified: 2015-11-16 01:13 UTC (History)
5 users (show)

Fixed In Version: 1.3.8.1
Doc Type: Bug Fix
Doc Text:
Cause: A source file name was misspelled. Consequence: Customers were exposed to poor form and difficulty finding the file with normal search methods. Fix: Rename the file. Result: The file shows up as expected in directory searches.
Clone Of:
Environment:
Last Closed: 2011-06-23 15:49:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0890 0 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging 2.0 Release 2011-06-23 15:42:41 UTC

Description Frantisek Reznicek 2010-11-30 12:04:37 UTC
Description of problem:
qpid-winsdk csharp.map.receiver source example code 
is store is file csharp.map.recevier.cs which should be csharp.map.receiver.cs.

Currently csharp.map.receiver.cs references the csharp.map.recevier.cs, after rename this project file should change to new name.

Version-Release number of selected component (if applicable):
qpid-cpp-winsdk-1.3.0.18.2-*.zip
qpid-cpp-winsdk-1.3.0.24-*.zip

How reproducible:
100%

Steps to Reproduce:
1. extract qpid winsdk and list directory dotnet_examples\examples\csharp.map.receiver
  
Actual results:
csharp.map.receiver example code resides in file csharp.map.recevier.cs.

Expected results:
csharp.map.receiver example should reside in file csharp.map.receiver.cs.


Additional info:

Comment 1 Chuck Rolke 2011-01-03 19:01:17 UTC
Fix checked in upstream in trunk. r1054709. QPID-2989.
This fix renames the file and changes two references to the file in two .VCPROJ files.

Comment 2 Chuck Rolke 2011-03-15 15:48:40 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: A source file name was misspelled.

Consequence: Customers were exposed to poor form and difficulty finding the file with normal search methods.

Fix: Rename the file.

Result: The file shows up as expected in directory searches.

Comment 4 Petra Svobodová 2011-05-09 10:59:14 UTC
The "csharp.map.receiver.cs" file name has been repaired; the .NET solution including the file can be built and the "csharp.map.receiver.exe" application is functional (version: qpid-cpp-*-2.0.0.4.zip).

--> VERIFIED

Comment 5 errata-xmlrpc 2011-06-23 15:49:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0890.html


Note You need to log in before you can comment on or make changes to this bug.